%bcond_with check
%bcond_without bootstrap

%global packname bit
%global packver  4.0.4
%global rlibdir  %{_libdir}/R/library

Name:             R-%{packname}
Version:          4.0.4
Release:          1
Summary:          Classes and Methods for Fast Memory-Efficient Boolean Selections

License:          GPLv2 or GPLv3
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{packver}.tar.gz

BuildRequires:    R-devel
BuildRequires:    tex(latex)
%if %{with check}
BuildRequires:    R-testthat >= 0.11.0
BuildRequires:    R-roxygen2
BuildRequires:    R-knitr
BuildRequires:    R-rmarkdown
BuildRequires:    R-microbenchmark
%if %{without bootstrap}
BuildRequires:    R-bit64 >= 4.0.0
BuildRequires:    R-ff >= 4.0.0
%endif
%endif
BuildRequires:    tex(framed.sty)

%description
Provided are classes for boolean and skewed boolean vectors, fast boolean
methods, fast unique and non-unique integer sorting, fast set operations on
sorted and unsorted sets of integers, and foundations for ff (range index,
compression, chunked processing).


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%if %{with check}
%if %{with bootstrap}
export _R_CHECK_FORCE_SUGGESTS_=0
%endif
%{_bindir}/R CMD check %{packname}
%endif


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so


%changelog
* Wed Jun 15 2022 misaka00251 <misaka00251@misakanet.cn> - 4.0.4-1
- Init package (Thanks to fedora team)
